%define src_ver 22cs072
%define languagelocal Ceska
%define languageeng czech
%define languagecode cs

Summary: 	Czech files for ispell
Summary(cs): český slovník pro korektor překlepů ispell
Name: 		ispell-%{languagecode} 
Version: 	3.1.20
Release: 	8mdk
URL: 		None
# dated 2001-11-21
Source:		ftp://ftp.vslib.cz/pub/unix/ispell/ispell-czech.tar.bz2
License: 	GPL
Group: 		System/Internationalization
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Provides: spell-cs

Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

Requires: locales-%{languagecode}
# the binary format changed with ispell 3.2.06
PreReq: ispell >= 3.2.06-2mdk
Provides: ispell-dictionary = 3.2.06

Obsoletes: ispell.cz
Obsoletes: ispell-czech
Obsoletes: iczech

%description
Czech dictionary and affixes file for the spell checker ispell.
You can run it on text files and it will interactively check spelling.
This means it will tell you about words it doesn't know, and will
suggest alternatives when it can. Some editors may have built spell
checking based on ispell.

%description -l cs
Český slovník a soubor afixů pro spell checker ispell. Ispell s tímto
slovníkem umožňuje interaktivní hledání překlepů v českých textech.
Vyhledává a vypisuje slova, která nejsou ve slovníku, a případně
nabízí jejich náhradu podobnými slovy. Některé textové editory mohou
mít podporu pro ispell vestavěnu.

%prep
%setup -n ispell-%{languageeng}

%build
make %{languageeng}.a-z
mv -f %{languageeng}.a-z %{languagelocal}.hash
mv -f %{languageeng}.aff %{languagelocal}.aff

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/ispell

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_prefix}/lib/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash
 # for compatibility with old ispell-cs
 ln -s %{languagelocal}.aff esk.aff
 ln -s %{languagelocal}.hash esk.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_prefix}/lib/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell

%files
%defattr(644, root, root,755)
%doc README* LICENSE
%{_prefix}/lib/ispell/*

%changelog
* Fri Mar 7 2003 Warly <warly@mandrakesoft.com> 3.1.20-8mdk
- add tag Provides spell-cs

* Tue Nov 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.1.20-7mdk
- Ispell data will remain in /usr/lib/ispell for now

* Thu Sep 19 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 3.1.20-666666k
- changed Requires: ispell to PreReq: ispell

* Mon Jun 03 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 3.1.20-5mdk
- rebuild with dependencies for new ispell

* Mon Jun 03 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 3.1.20-4mdk
- rebuild for new ispell
- updated dictionnary

* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 3.1.20-3mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 3.1.20-2mdk
- Cleaned up the spec, updated to new version and moved to standard template.

* Thu Aug 10 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 3.1.20-1mdk
- updated version

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.69-2mdk
- BM

* Tue Apr 13 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.69-1mdk
- updated the dictionnaries (thanks to Vladimír Marek)

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.001-3mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Obsoletes: for easier installation over other rpms of same language

* Fri Dec 03 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First version for Mandrake.
